<?php
/**
 * Open Source Social Network
 * @link      https://www.opensource-socialnetwork.org/
 * @package   Pinned Posts
 * @author    Michael Zülsdorff <ossn@z-mans.net>
 * @copyright (C) Michael Zülsdorff
 * @license   GNU General Public License https://www.gnu.de/documents/gpl-2.0.en.html
 */

 define('PINNED_POSTS', ossn_route()->com . 'PinnedPosts/');
/**
 * Initialize the component
 *
 * @return void
 */
function com_pinned_posts_init() {
		ossn_register_com_panel('PinnedPosts', 'settings');
		if(ossn_isAdminLoggedin()) {
				ossn_register_action('PinnedPosts/save', PINNED_POSTS . 'actions/settings.php');
		}
		if(ossn_isLoggedin()) {
				ossn_extend_view('ossn/js/head', 'com_pinned_posts');
		}
}
/**
 * Pinned Posts
 *
 * @return string
 */
function com_pinned_posts() {
		$component = new OssnComponents;
		$settings  = $component->getSettings("PinnedPosts");
		if(isset($settings->PinnedPosts) && !empty($settings->PinnedPosts)) {
				return ossn_plugin_view('PinnedPosts/posts', array(
						'pinnedposts' => $settings
				));
		}
}
ossn_register_callback('ossn', 'init', 'com_pinned_posts_init');